START_ADDRESS = 0x1000

INCDIR = $(TOPDIR)
USER_INCDIR = $(TOPDIR)user/include
TOOLSDIR = $(TOPDIR)tools/
TOOLSBINDIR = $(TOPDIR)tools/bin/

BOOTDIR = boot/
BOOT = bootload
NETDIR = net/
NET = net
NETOBJ = $(NETDIR)bin/$(NET)
DRIVERDIR = driver/
DRIVER = driver
DRIVEROBJ = $(DRIVERDIR)bin/$(DRIVER)
SETUP = setup

WARNING = -Wimplicit -Wmain -Wreturn-type -Wunused -Wchar-subscripts -Wuninitialized -Wparentheses \
	-Wpointer-arith -Wcast-align -Wredundant-decls -Wno-long-long

#LIBGCC=/usr/lib/gcc-lib/i386-redhat-linux/3.2/libgcc.a
LIBGCC=/usr/local/lib/gcc-lib/i686-elf/3.3.6/libgcc.a

DEP = /usr/local/bin/i686-elf-gcc -nostdinc -I $(INCDIR) -I $(USER_INCDIR) -M

#CC = gcc -c -O -Wall -nostdinc -I $(INCDIR) -I $(USER_INCDIR) -ffreestanding
CC = /usr/local/bin/i686-elf-gcc -c -O -Wall -nostdinc -I $(INCDIR) -I $(USER_INCDIR) -ffreestanding
#CC = /usr/local/bin/i686-elf-gcc -c -O $(WARNING) -nostdinc -I $(INCDIR) -I $(USER_INCDIR) -ffreestanding

#LD = ld -s -x
LD = /usr/local/bin/i686-pc-elf-ld -s -x

CFLAG=-DKERNEL -DDEBUG
